global:
  ref: master
  project: firefly
  gitRepoUrl: git@git.zooxlabs.com:zooxco/driving.git
  createNamespace: true
  ownerAccess: true
  helmChartPath: infra/helm/firefly
  vpcId: vpc-043ed6ca2955dd897
  istio:
    enabled: true

  jaeger:
    enabled: false
    esUrl: https://vpc-firaoqtbvvqxmuuiwdgzpgeldwao-bgykekya3z6idzpihxclaljmoa.us-west-2.es.amazonaws.com:443
  owners:
    - lilith
    - price
  services: # see example here: https://git.zooxlabs.com/zooxco/driving/blob/master/infra/helm/zoox-base/values.yaml#L16
    gateway:
      replicaCount: 2
      build:
        type: bazel
        context: spectrum/apps/firefly/services/firefly_gateway
        target: "//spectrum/apps/firefly/services/firefly_gateway:push_server_image"
      env:
        GATEWAY_PORT:
          value: '50051'
        # NOTE: enable these for debugging
        # GRPC_VERBOSITY:
        #   value: 'DEBUG'
        # GRPC_TRACE:
        #   value: 'all'
        SLACK_API_TOKEN:
          valueFrom:
            secretKeyRef:
              # kubectl create secret generic slack-token --from-literal=SLACK_API_TOKEN="$(vault read -field=value secret/firefly/slack-token)"
              name: slack-token
              key: SLACK_API_TOKEN
        GOOGLE_DRIVE_CREDENTIALS:
          valueFrom:
            secretKeyRef:
              # kubectl create secret generic google-drive-credentials --from-literal=GOOGLE_DRIVE_CREDENTIALS="$(vault read -field=value secret/firefly/drive-credentials)"
              name: google-drive-credentials
              key: GOOGLE_DRIVE_CREDENTIALS
      containerPort: 50051
      appProtocol: grpc
      # TODO
      # extraPorts:
      #   - name: metrics
      #     targetPort: 8080
      #     servicePort: 8080
      ingress:
        enabled: true
        secretName: gateway
        annotations:
          nginx.ingress.kubernetes.io/proxy-body-size: "0"
      readinessProbe:
        exec:
          command: ["/app/spectrum/apps/firefly/services/firefly_gateway/server.runfiles/grpc_health_probe/file/grpc_health_probe", "-addr=:50051"]
        initialDelaySeconds: 5
      livenessProbe:
        exec:
          command: ["/app/spectrum/apps/firefly/services/firefly_gateway/server.runfiles/grpc_health_probe/file/grpc_health_probe", "-addr=:50051"]
        initialDelaySeconds: 10
      # TODO
      # serviceMonitor:
      #   enabled: true
      #   port: metrics
      #   path: /
zoox-base:
  enabled: true

ci-pipeline:
  enabled: true
